This endpoint is still on our legacy API.
Fetch configured programs on the camera.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Industrial under the Industrial category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/v1/industrial/vision/cameras/{camera_id}/programs \
--header 'Authorization: Bearer <token>'[
{
"programId": 1,
"programName": "Barcode verification program"
}
]Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The camera_id should be valid for the given accessToken.
curl --request GET \
--url https://api.samsara.com/v1/industrial/vision/cameras/{camera_id}/programs \
--header 'Authorization: Bearer <token>'[
{
"programId": 1,
"programName": "Barcode verification program"
}
]